package Question3;

/**
 * This class represents a single song
 */
public class Song implements Comparable<Song> {
	
	private String title;	// The song's title
	private String artist;	// The song's artist
	private int year;		// The year that the song was released
	
	/**
	 * Constructor.
	 * @param title The song's title
	 * @param artist The song's artist
	 * @param year The year that the song was released
	 */
	public Song(String title, String artist, int year) {
		this.title = title;
		this.artist = artist;
		this.year = year;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	public int compareTo(Song song) {
		return title.compareTo(song.getTitle());
	}

	/**
	 * Get the year that the song was released.
	 * @return The year that the song was released
	 */
	public int getYear() {
		return year;
	}

	/**
	 * Set the year that the song was released.
	 * @param year The year that the song was released
	 */
	public void setYear(int year) {
		this.year = year;
	}

	/**
	 * Get the song's artist.
	 * @return The song's artist
	 */
	public String getArtist() {
		return artist;
	}

	/**
	 * Set the song's artist.
	 * @param artist The song's artist
	 */
	public void setArtist(String artist) {
		this.artist = artist;
	}

	/**
	 * Get the song's title.
	 * @return
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Set the song's title
	 * @param title The song's title
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "SONG=" + title + ", ARTIST=" + artist + ", YEAR=" + year;
	}
	
}
